const fn = require("gs-common/be/functions");

process.env.HOSTNAME = process.env.HOSTNAME || fn.hostname();
process.env.PROXY_HOST = process.env.PROXY_HOST || "https://garminsports-web-inte.cn1.cf.garmin.com";

const
    config = require("../vue/config/index")(),
    devserver = require("gs-devserver");

config.dev.templatePath = function (debug) {
    debug = arguments.length === 0 ? config.dev.debug : debug;
    return debug ? "/content/web/dashboard.html" : "/content/web/app-build/dashboard.html";
};

config.dev.staticDir = "./test/static";
config.dev.webpack = false;
config.dev.open = true;
config.dev.auth = true;

fn.portfinder()
    .getPortPromise()
    .then(port => {
        config.dev.port = port;
        devserver.createHttpsServer(config);
    }).catch(err => {
        throw err;
    });