require("gs-common/be/check-versions")(require("../package"));
const util = require("gs-common/be/functions");

util.portfinder()
    .getPortPromise()
    .then(port => {
        process.env.PORT = process.env.PORT || port;

        const config = require("../config");

        if (!process.env.NODE_ENV) {
            process.env.NODE_ENV = JSON.parse(config.dev.env.NODE_ENV);
        }

        require("gs-webpack/vue/build/dev-server")(config);
    }).catch(err => {
        throw err;
    });