const
    gsModulesPath = "{{modulePath}}",
    build = require(`${gsModulesPath}/build/build`),
    fse = require("fs-extra"),
    logging = require("gs-common/fe/Logging"),
    functions = require("gs-common/functions");

build.setup({
    fse,
    logging,
    functions,
    dirname: __dirname
});

// clean only
if (process.argv.indexOf("--clean") !== -1) {
    build.clean();
    return;
}

// sync gs-modules, used for local develop
if (process.argv.indexOf("--gs-modules") !== -1) {
    build.copyGSModules(`${gsModulesPath}/src`);
    return;
}